If you have any feedback or ideas, please put them into this google form https://forms.gle/PwdwL98AbTrVLsuKA! Alternatively, you can DM me on Discord @duck duck grey duck#0658

## Mod Overview
ArtificerExtended introduces a handful of new skills for Artificer with the intention of adding new, varied gameplay styles in creative ways. This is built with compatability for AlternativeArtificer as a primary goal. Currently introduces 4 new abilities: SNOWBALLS, ICE SHARDS, NAPALM CASCADE, and ROLLING THUNDER!

# Also worth nothing: In this mod, I buffed Snapfreeze. It's cooldown is now 8 seconds long instead of 12.

## New Primary: "Snowballs"
Snowballs are an ICE m1 that, unlike her other bolts, are un-limited by cooldown. This means they can scale perfectly with attack speed - a great asset for lategame and ion surge users!

### Stats:
- 0.6 second attack duration
- 180% damage per hit
- 0.7 proc coefficient
- 50% slow on hit
- This skill DOES contribute to the "ice" part of AlternativeArtificer's passive, however it's unable to freeze + execute enemies on it's own, so you will need to pick another ice skill to benefit from the ice passive. I am considering adding an additional way for this ability to scale with the passive, at least until Rein updates AlternateArtificer to accomodate for it.

## New Primary: "Ice Shards" (icon coming soon)
Ice Shards are another ICE m1 with a low range shotgun-like fire. This skill is designed for high risk, high reward play - it synergizes great with her other low range skills, like flamethrower, and the new Napalm!

### Stats:
- 0.3 second attack duration (like her other bolts)
- 1.25s cooldown, 4 charges max (like her other bolts)
- 3x140% damage per hit (420% total)
- 0.6 proc coefficient
- 25m max range (same max range as Flamethrower)
- 50% slow on hit
- This skill DOES contribute to the "ice" part of AlternativeArtificer's passive, however it's unable to freeze + execute enemies on it's own, so you will need to pick another ice skill to benefit from the ice passive. I am considering adding an additional way for this ability to scale with the passive, at least until Rein updates AlternateArtificer to accomodate for it.


## New Utility: "Napalm Barrage" (icon coming soon)
Napalm Barrage is a FIRE alternative to snapfreeze, with the aim to create a more offensive option as opposed to defensive. It sprays a cone of napalm puddles extending outwards from the player, with the ability to CHARGE IT UP (much like the charging of Nanobombs and Nanospears) to tune the spread. Much like the new Ice Shards, Napalm is intended to reward risky play styles, as well as synergizing with the outward piercing attacks of Flamethrower and Nanospears! Like Snapfreeze, it can be used either as a tool to maximize damage output, or for area denial.

### Stats:
- Charge time of 0.5 to 3.0 seconds
- 8 second cooldown (Napalm stays on the ground for 8 seconds)
- 200% to 400% damage on hit, depending on charge
- 0.6 proc coefficient on impact
- The Napalm itself burns with identical stats to Artificer's "Ignite" debuffs, and also scales damage per tick with the "fire" part AlternateArtificer's passive.


## New Utility: "Rolling Thunder" (icon coming soon)
Rolling Thunder is a LIGHTNING utility skill, which is uniquely capable of targeting aerial enemies. It presents an alternative with snapfreeze, which offers more controlled damage and stuns on command. Thunder's charge system allows the choice to either use strikes as they come off cooldown, or save them up to stunlock a target for a longer time.

### Stats:
- 0.5 second attack duration (can be sprint-canceled like snapfreeze)
- 6s cooldown, 3 charges max
- 3x200% damage per cast (600% total)
- 0.3 proc coefficient
- 0.3 second stun on hit

## Changelog
### 1.3.0: Rolling Thunder 2.0 & Snapfreeze Buff
- Reworked Rolling thunder. It now has 3 total projectiles, and double the total damage. Approximately 312.7% cooler.
- Buffed Snapfreeze (Cooldown reduced from 12s to 8s). This should make it easier to create and balance new utilities without having to neuter them for the sake of "sidegrading" Snapfreeze.
- Fixed all kinds of Thunderstore formatting and information issues.
- Artificer's head is 10% longer.
### 1.2.1
- Changed Snowball velocity from 40 to 80
(*Snowballs now match the velocity of firebolts and plasmabolts)
### 1.2.0: Rolling Thunder
- Added 1 new skill: ROLLING THUNDER
- Further reduced Napalm AOE/decal "dot" damage from 5 to 3
- Fixed a few errors regarding networking
- Updated Thunderstore formatting in some spots
### 1.1.1
- Napalm Barrage renamed to Napalm Cascade
- Reduced Napalm projectile count from 15 to 12
- Increase Napalm AOE/decal size from 2 to 3
(* Napalm originally had a LOT of projectiles firing at once to make up for a small AOE size, to help cover large areas at a decent range, but as I learned to tune more numbers that became less necessary. These changes effectively keep the napalm's effectiveness at mid-long ranges the same or even better, while nerfing the insane burn damage that could be stacked in a single spot should you fire it at point-blank)
- Reduced Napalm's "dot" proc coefficient to 0
- Increased Napalm's impact proc coefficient from 0.5 to 0.6
- Updated Napalm's description to reflect proc coefficient on Thunderstore
### 1.1.0: Napalm Barrage
- Reduced snowball attack duration to 0.6
- Added clarification to the effects of snowballs on the AlternateArtificer passive
- Updated mod thumbnail + description
- Added 2 new skills: NAPALM BARRAGE and ICE SHARDS
- Removed CLAPFREEZE (Rest In Peace, You Will Remain Forever In Our Hearts)
### 1.0.0
- First release: Introduced SNOWBALLS and CLAPFREEZE
